#ifndef _ENTRY_CPP
#define _ENTRY_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <Stdio.H>
#include <Stdlib.H>

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../CSQLEncapsulation.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

int main(void)
{
	SQLCONNECTIONSTRING MySqlCon;
	CSQL MySQL;

	memset(&MySqlCon, 0, sizeof(MySqlCon));

	MySqlCon.bUseTrustedConnection = true;
	strcpy_s(MySqlCon.sDriver, sizeof(MySqlCon.sDriver), "{SQL Server}");
	strcpy_s(MySqlCon.sDatabase, sizeof(MySqlCon.sDatabase), "pubs");
	strcpy_s(MySqlCon.sServer, sizeof(MySqlCon.sServer), "(LOCAL)");
	strcpy_s(MySqlCon.sApplicationName, sizeof(MySqlCon.sServer), "SQL Test App");

	MySQL.bThrowErrors = true;

	if(!MySQL.Connect(&MySqlCon))
	{
		return 0;
	}

	CBoundRecordSet rsAccounts;

	MySQL.Execute("SELECT TOP 100 * FROM Accounts", &rsAccounts, true);

	char sSQL[1024];

	while(rsAccounts.Fetch())
	{
		CBoundRecordSet rsCases;

		sprintf_s(sSQL, sizeof(sSQL),
			"SELECT * FROM Transactions WHERE AccountID = '%d'",
			rsAccounts.Values("AccountID").ToIntegerS());

		MySQL.Execute(sSQL, &rsCases, true);

		if(rsCases.Fetch())
		{
			if(rsAccounts.Values("Balance").ToDouble() > 1000.0f)
			{
				printf("%s->[%s]->[%f]\n",
					rsAccounts.Values("AccountID").ToString(),
					rsCases.Values("TransactionType").ToString(),
					rsAccounts.Values("Balance").ToDouble());
			}
		}
		else{
			printf("Exec Failed\n");
			system("pause");
		}

		rsCases.Close();
	}

	rsAccounts.Close();

	MySQL.Disconnect();

	system("pause");

	return 0;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
